# Asterisk Project : Asterisk 13 Function_AST_SORCERY

Created by wikibot on Aug 08, 2014

# AST_SORCERY()

### Synopsis

Get a field from a sorcery object

### Description

### Syntax

    AST_SORCERY(module_name,object_type,object_id,field_name[,retrieval_method[,retrieval_details]])

##### Arguments

- `module_name` - The name of the module owning the sorcery instance.
- `object_type` - The type of object to query.
- `object_id` - The id of the object to query.
- `field_name` - The name of the field.
- `retrieval_method` - Fields that have multiple occurrences may be retrieved in two ways.
  - `concat` - Returns all matching fields concatenated in a single string separated by separator which defaults to `,`.
  - `single` - Returns the nth occurrence of the field as specified by occurrence_number which defaults to `1`.
    The default is `concat` with separator `,`.
- `retrieval_details` - Specifies either the separator for `concat` or the occurrence number for `single`.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538